Name:           perl-Data-Properties
Version:        0.02
Release:        7%{?dist}
Summary:        Persistent properties

# The upstream source itself does not specify a license.
# When asked how he wanted to distribute it, the author replied:
# "huh, I'm surprised that you find it that useful, but okay. it doesn't
# look like I included a license in the distribution, but if I were to
# do so today, it would be under the most recent Apache license."
# Fedora Legal has a copy of the email (see the LICENSE file).
License:        ASL 2.0

Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Data-Properties/
Source0:        http://www.cpan.org/authors/id/I/IX/IX/Data-Properties-%{version}.tar.gz
Source1:        LICENSE
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Data-Properties is a Perl version of Java's java.util.Properties and aims to be
format-compatible with that class.

%prep
%setup -q -n Data-Properties-%{version}
cp %{SOURCE1} .

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes LICENSE
%{perl_vendorlib}/Data*
%{_mandir}/man3/*

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.02-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.02-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 08 2012 Petr Pisar <ppisar@redhat.com> - 0.02-5
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.02-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 27 2011 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 0.02-3
- Fix perms on LICENSE
- Use SOURCE1 instead of _sourcedir

* Wed Oct 26 2011 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 0.02-2
- Add LICENSE file to clarify distribution

* Wed Oct 19 2011 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 0.02-1
- Specfile autogenerated by cpanspec 1.78.
